@media (min-width: 1025px) and (max-width: 1200px) {
.header-wrap {
    padding: 23px 20px;
}
.counter-wrap h2 {
    font-size: 50px;
}
.middle-banner {
	min-height: 65vh;
	position: relative;
}
}

@media (min-width: 768px) and (max-width: 1024px) {
.header-wrap {
    padding: 13px 20px;
}
.counter-wrap h2 {
    font-size: 50px;
}
.cv-info {
    grid-template-rows: repeat(1, 1fr);
}
.who-iam {
    padding: 4rem 0 1rem;
}
.section {
    margin-top: 3rem;
}
.section-heading > .section-title {
    margin: 20px 0;
}
.counter-wrap {
    flex-direction: column;
    text-align: center;
}
.section-title > .title-bg {
    font-size: 100px;
}
.two-sec {
    flex-direction: column;
}
.who-iam-content .my-info h2 {
    font-size: 26px;
}
.pricing-box {
	margin-bottom: 30px;
}
.middle-banner {
	min-height: 55vh;
	position: relative;
}
}

@media (min-width: 632px) and (max-width: 767px) {
.header-wrap {
    padding: 13px 20px;
}
.counter-wrap h2 {
    font-size: 38px;
}
.cv-info {
	grid-template-rows: repeat(4, 1fr);
	grid-template-columns: repeat(1, 1fr);
}
.who-iam {
    padding: 4rem 0 1rem;
}
.section {
    margin-top: 3rem;
}
.section-heading > .section-title {
    margin: 20px 0;
}
.counter-wrap {
    flex-direction: column;
    text-align: center;
}
.section-title > .title-bg {
	font-size: 80px;
}
.two-sec {
    flex-direction: column;
}
.who-iam-content .my-info h2 {
    font-size: 26px;
}
.middle-banner .left-content h1 {
    font-size: 25px;
}
.writing-text p {
    font-size: 2.3rem;
}
.subtitle p {
    font-size: 25px;
}
.contact-info-banner ul li {
    border-right: 0;
    padding-right: 0;
    border-left: 2px solid;
    padding-left: 20px;
}
.contact-info-banner ul {
	flex-wrap: wrap;
}
.service-box-content {
    padding: 28px 22px;
}
.section-heading > .section-title {
    font-size: 40px;
}
.pricing-box h3 {
    font-size: 22px;
}
.pricing-box {
    padding: 30px 0px;
    margin-bottom: 30px;
}
.testimoni-left-content {
    flex-direction: column;
}
.portfolio-img-wrap {
    display: grid;
    grid-template-columns: 2fr 2fr;
}
.contact-detail ul li {
    gap: 20px;
}
.flex-details {
    padding-left: 20px;
}
.middle-banner {
	min-height: 45vh;
}
}

@media (min-width: 300px) and (max-width: 631px) {
.header-wrap {
    padding: 13px 20px;
}
.middle-banner {
	min-height: 45vh;
}
.cv-info {
	grid-template-rows: repeat(4, 1fr);
	grid-template-columns: repeat(1, 1fr);
}
.who-iam {
    padding: 4rem 0 1rem;
}
.section {
    margin-top: 3rem;
}
.section-heading > .section-title {
    margin: 20px 0;
}
.counter-wrap {
    flex-direction: column;
    text-align: center;
}
.section-title > .title-bg {
	font-size: 44px;
	bottom: 10px;
}
.two-sec {
    flex-direction: column;
}
.who-iam-content .my-info h2 {
    font-size: 26px;
}
.middle-banner .left-content h1 {
	font-size: 22px;
}
.writing-text p {
	font-size: 1.8rem;
}
.subtitle p {
	font-size: 22px;
}
.contact-info-banner ul li {
    border-right: 0;
    padding-right: 0;
    border-left: 2px solid;
    padding-left: 20px;
}
.contact-info-banner ul {
    flex-direction: column;
}
.service-box-content {
    padding: 28px 22px;
}
.section-heading > .section-title {
    font-size: 40px;
}
.pricing-box h3 {
    font-size: 22px;
}
.pricing-box {
    padding: 30px 0px;
    margin-bottom: 30px;
}
.testimoni-left-content {
    flex-direction: column;
}
.portfolio-img-wrap {
	flex-direction: column;
	display: flex;
}
.contact-detail ul li {
    gap: 20px;
}
.flex-details {
    padding-left: 20px;
}
.who-iam-content {
    margin-left: 0;
    margin-top: 30px;
}
.skill-progress-2, .skill-progress-4, .skill-progress-6 {
    margin-bottom: 25px;
    margin-left: 0px;
}
.skill-progress-1, .skill-progress-3, .skill-progress-5 {
    margin-bottom: 25px;
    margin-right: 0px;
}
.counter-content {
    flex-direction: column;
    gap: 3rem;
}
.counter-wrap p br {
    display: none;
}
.contact-info {
    margin-top: 40px;
}
.my-image {
    text-align: center;
}
.my-image img {
	width: 270px;
	border-radius: 50%;
	height: 300px;
	object-fit: cover;
	object-position: center;
}
.contact-detail .fa-solid {
    font-size: 30px;
    width: 40px;
}
}

@media (max-width: 768px) {
    .toggle {
        display: flex;
    }
	.navigation {
		gap: 0px;
	}
	.navigation li a {
		padding: 15px 25px;
	}
    .navigation {
        display: none;
        flex-direction: column;
        background: rgba(0, 0, 0, 0.9);
        width: 100%;
        position: absolute;
        top: 60px;
        left: 0;
        padding: 10px 0;
        text-align: center;
        transition: all 0.3s ease;
    }
    .navigation.active {
        display: flex;
        animation: slideDown 0.4s ease-in-out;
    }

    @keyframes slideDown {
        from {
            opacity: 0;
            transform: translateY(-10px);
        }
        to {
            opacity: 1;
            transform: translateY(0);
        }
    }
}